body {
    background-color: white;
    display: flex;
    justify-content: center; /* Horizontally centers the grid on the page */
    align-items: center;    /* Vertically centers the grid on the page */
    height: 100vh;          /* Uses 100% of the viewport height */
    margin: 0;
    overflow: hidden;
    padding: 0;
    box-sizing: border-box;
    overscroll-behavior: none;
}
::-webkit-scrollbar {
    width: 0px;
}

/* Track */
::-webkit-scrollbar-track {
    opacity: 0; 
} */
strong {
    color: #ff14c4;
}
#mainContent {
    display: flex;
    margin-top: 2vh;
    width: 88vw;
    height: 85vh;
}
#navContainer {
    width: 88vw;
    height: 4vh;
    display: grid;
    outline: 2px black solid;

  
    position: absolute;
    top: 4.2vh;
}
.grid-container {
    width: 88vw;
    height: auto;

    min-height: 0; 
    flex-grow: 1; 
    overflow-y: auto;

    display: grid;
    gap: 1px;

    outline: 2px black solid;

    grid-template-columns: repeat(11, 8vw);
    grid-template-rows: repeat(30, 8vw);
    
    overflow-y: scroll;
    overflow-x: hidden;
    
}
.grid-container > * {
  gap: 1px;
  overflow: hidden;
}
.cell {
    height: 100%;
    min-height: 1fr;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-clip: padding-box;
    font-family: 'Courier New', Courier, monospace;
    z-index: 10;
}
.cell p {
    color: black;
    padding: 25px;
    font-size: medium;
    transform: scale(1.1);
}
.cell img {
    width: 100%;
    height: 100%;
    z-index: 9;
}
#backtoMain {
    margin-top: -1vh;
    margin-left: 1vw;
}
.nav {
    display: flex;
    grid-area: 1 / 1 / 2 / 2;
    gap: 5vw;
    align-items: center;
    padding: 5px;
    margin-left: 5vw;
}
.nav a {
    display: inline-block;
    text-decoration: none;
    font-family: 'Daydream';
    font-size: 14px;
    color: black;
    display: flex;
    list-style-type: none;
    padding: 0;
}
.nav a:hover {
  scale: 1.2;
  color: #ff14c4;
}
.aboutLink:hover .lips { 
  background-color: #ffbc00; 
}
.link {
    background-color: transparent;
    z-index: 5;
    transition-duration: .5s;
}
.emp {
    z-index: -3;
    aspect-ratio: 1/1;
    outline: 1.5px solid black;
    gap: 1px;
    overflow: hidden;
}
.cblock {
    z-index: 3;
    outline: 1.5px solid black;
}

.zoom {
    transition-duration: .5s;
}
.zoom:hover {
    transform: scale(1.2) ;
    transition-duration: .5s;
}

/* BG  Block Colors */
.pink {
    background-color: #ff72cb;
}
.yellow {
    background-color: #ffed80;
}
.blue {
    background-color: #58b1f4;
}
.green {
    background-color: #e3fc00;
}
.aqua {
    background-color: #00f2d5;
}
.purple {
    background-color: #a44fff;
}
.black {
    background-color: black;
}

/* Content */
/* Rainbow Eater */
.rEHeaderText {
    grid-area: 2/8/3/9;
}
.rEHeaderText h2 {
    scale: .6;
    color:#e3fc00;
    -webkit-text-stroke: 5px black; 
    paint-order: stroke fill;
    text-shadow: 6px 6px 0px black;
}
.rEText {
    grid-area: 3/8/4/10;
}
.rEBooks {
    grid-area: 2/4/6/8;
    translate: -30px 0px;
}
.rEBooks img {
    scale: .85;
}
.rEZoom {
    grid-area: 4/1/7/4;
}
.rEZoom img {
    scale: 1.3;
}
.rEOpen {
    grid-area: 4/8/8/12;
    scale: 1.15;
    translate: -55px 60px;
}
.rEOpen2 {
    grid-area: 7/4/10/7;
    scale: 1.5;
    translate: 5px 25px;
}
.rEOpen3 {
    grid-area: 9/1/11/3;
}
.rEOpen3 img {
    scale: 1.3;
}

/* Become and Dissolve */
.bNDHeaderText {
    grid-area:  11/8/12/9;
    text-align: center;
}
.bNDHeaderText h2 {
    scale: .6;
    color: #00f2d5;
    -webkit-text-stroke: 5px black; 
    paint-order: stroke fill;
    text-shadow: 6px 6px 0px black;
}
.bNDText {
    grid-area: 12/8/13/10;
}
.bNDReadText {
    grid-area: 15/6/16/7;
}
.bNDReadText h3 {
    text-align: center;
    scale: .7;
    color: #ff72cb;
    -webkit-text-stroke: 5px black; 
    paint-order: stroke fill;
    text-shadow: 6px 6px 0px black;
}
.bNDOpen {
    grid-area:  11/6/13/8; 
    scale: 2.2;
    translate: -127px 60px;
    z-index: 10;
}
.bNDPile {
    grid-area:  14/10/16/12; 
    scale: 2;
    translate: -170px -60px;
}
.bNDOpen2 {
    grid-area:  13/1/16/5; 
    scale: 1.08;
    translate: -19px -12px;
}
/* Day Trip */
.daytripHeaderText {
    grid-area: 18/7/19/8;
}
.daytripHeaderText h2 {
    scale: .8;
    color:#ff72cb;;
    -webkit-text-stroke: 5px black; 
    paint-order: stroke fill;
    text-shadow: 6px 6px 0px black;
}
.daytripText {
    grid-area: 19/7/20/9;
}
.daytripGetText {
    outline: 1.5px black solid;
    grid-area: 22/3/23/4;
}
.daytripGetText h3 {
    text-align: center;
    scale: .7;
    color: #58b1f4;
    -webkit-text-stroke: 5px black; 
    paint-order: stroke fill;
    text-shadow: 6px 6px 0px black;
}
.daytripPile {
    grid-area:  17/2/22/6;
}
.daytripPile img {
    scale: 1.01;
}
.daytripPage {
    grid-area:  17/9/20/11;
    scale: .99;
}
.daytripBook {
    grid-area:  19/8/23/10;
    scale: 1.6;
    translate: -95px 50px;
    z-index: 9;
}
.daytripOpen {
    grid-area:  21/9/24/11;
    scale: 1.5;
    translate: 60px 12px;
}

/* Cursing */

.cursingHeaderText {
    grid-area: 24/5/25/6;
}
.cursingHeaderText h2 {
    scale: .6;
    color:#ff72cb;;
    -webkit-text-stroke: 5px black; 
    paint-order: stroke fill;
    text-shadow: 6px 6px 0px black;
}
.cursingText {grid-area: 25/5/26/7;}
.coloringText {
    grid-area: 22/5/23/8;
}
.cursingGetText {
    outline: 1.5px black solid;
    grid-area: 26/4/27/5;
}
.cursingGetText h3 {
    text-align: center;
    scale: .7;
    color: #ff72cb;
    -webkit-text-stroke: 5px black; 
    paint-order: stroke fill;
    text-shadow: 6px 6px 0px black;
}
.cursingPile {
    grid-area:  24/1/28/4;
}
.cursingPile img {
    scale: 1.01;
}
.cursingPage1 {
    grid-area:  28/4/31/6;
    scale: 1.3;
    translate: 36px 0px;
    z-index: 9;
}
.cursingPage2 {
    grid-area:  27/6/30/8;
    scale: 1.2;
    translate: 24px 0px;
}
.cursingBook {
    grid-area:  25/9/28/12;
    scale: 1.23;
    translate: -80px -20px;
    rotate: 20deg;;
}
/* Rainbow Eater Color Blocks + blanks*/
#square1 {
    grid-area: 2/1/3/2;
}
#square2 {
    grid-area: 1/10/2/11;
}
#square3 {
    grid-area: 2/8/3/9;
}
#square4 {
    grid-area: 3/8/4/10;
}
#square5 {
    grid-area: 3/4/4/5;
}
#square6 {
    grid-area: 4/1/7/4;
}
#square7 {
    grid-area: 5/5/6/8;
}
#square8 {
    grid-area: 5/10/8/12;
}
#square9 {
    grid-area: 9/11/10/12;
}
#square10 {
    grid-area: 8/5/10/8;
}

.blank1 {grid-area: 2/4/3/5;}
.blank2 {grid-area: 2/5/3/6;}
.blank3 {grid-area: 2/6/3/7;}
.blank4 {grid-area: 2/7/3/8;}
.blank5 {grid-area: 3/5/4/6;}
.blank6 {grid-area: 3/6/4/7;}
.blank7 {grid-area: 3/7/4/8;}
.blank8 {grid-area: 4/4/5/5;}
.blank9 {grid-area: 4/7/5/8;}

.blank10 {grid-area: 4/8/5/9;}
.blank11 {grid-area: 4/9/5/10;}
.blank12 {grid-area: 4/10/5/11;}
.blank13 {grid-area: 4/11/5/12;}

.blank14 {grid-area: 7/5/8/6;}
.blank15 {grid-area: 7/6/8/7;}
.blank16 {grid-area: 7/7/8/8;}

/* Become & Dissolve Color Blocks */
#square11 {
    grid-area: 9/1/11/3;
}
#square12 {
    grid-area: 11/4/12/5;
}
#square13 {
    grid-area: 11/8/12/9;
}
#square14 {
    grid-area: 12/8/13/10;
}
#square15 {
    grid-area: 14/10/16/12;
}
#square16 {
    grid-area: 16/7/17/8;
}
#square17 {
    grid-area: 13/1/16/5;
}

/* Day Trip Color Blocks */
#square18 {
    grid-area: 18/7/19/8;
}
#square19 {
    grid-area: 19/7/20/9;
}
#square20 {
    grid-area: 20/6/21/7;
}
#square21 {
    grid-area: 20/11/21/12;
}
#square22 {
    grid-area: 21/1/22/2;
}
#square23 {
    grid-area: 22/5/23/8;
}
#square24 {
    grid-area: 23/4/24/5;
}
#square25 {
    grid-area: 21/9/24/12;
}

.blank16 {grid-area: 20/8/21/9;}
.blank17 {grid-area: 20/9/21/10;}


/* Cursing Color Block */
#square26 {
    grid-area: 24/5/25/6;
}
#square27 {
    grid-area: 25/5/26/7;
}
#square28 {
    grid-area: 28/4/31/6;
}
#square29 {
    grid-area: 27/6/30/8;
}
#square30 {
    grid-area: 29/9/30/10;
}
#square31 {
    grid-area: 29/2/30/3;
}
#square32 {
    grid-area: 30/11/31/12;
}

.blank18 {grid-area: 11/7/12/8;}
.blank19 {grid-area: 11/6/12/7;}

.blank20 {grid-area: 25/11/26/12;}
.blank21 {grid-area: 26/11/27/12;}
.blank22 {grid-area: 27/11/28/12;}
.blank23 {grid-area: 28/11/29/12;}

/* Intro */

.headerText {
    grid-area: 1/2/2/3; 
    outline: 1.5px solid black;
    
}
.headerText h1 {
    font-size: medium;
    color:#e3fc00;
    -webkit-text-stroke: 4px black; 
    paint-order: stroke fill;
    text-shadow: 5px 5px 0px black;
}

.introText {
    grid-area: 1/4/2/6;
    font-family: 'Courier New', Courier, monospace;
    outline: 1.5px solid black;
    z-index: 10;
    background-color: #e3fc00;
}
.introText p {
    color: black;
    font-size: medium;
}







